<script lang="ts" setup>
import { nextTick, onMounted, ref, watchEffect } from 'vue'
import type { VForm } from 'vuetify/components'
import type { User } from '@/types/User'
import { useUserStore } from '@/stores/user'
import ShowSaleDialogEPM from '@/views/User/ShowSaleDialogEPM.vue'

import EditeUserCard from '@/views/User/EditeUserCard.vue'
import ChangePasswordDialog from '@/views/User/ChangePasswordDialog.vue'
const userStore = useUserStore()

function onSubmit() { }

function formatDate(dateString: any) {
  const date = new Date(dateString)
  return date.toLocaleDateString('th-TH', {
    day: '2-digit',
    month: 'long',
    year: 'numeric'
  })
}
</script>

<template>
  <v-sheet variant="outlined">
    <div style="margin-top: 10px; text-align: right; margin-right: 10px; margin-bottom: 10px">
      <v-btn>
        <v-icon @Click="userStore.editItem(userStore.editedUser)"> mdi-pencil </v-icon>
      </v-btn>
      <v-btn>
        <v-icon @click="userStore.passwordDialog = true"> mdi-key </v-icon>
      </v-btn>
    </div>
    <v-card variant="outlined">
      <div class="info">
        <div>
          <v-card-title style="background-color: gray"> ประวัติส่วนต้ว </v-card-title>
        </div>

        <v-card-text>
          <v-row>
            <v-col cols="12" md="8" no-gutters>
              <v-row>
                <v-col cols="12">
                  <strong>ชื่อ - นามสกุล : </strong>
                  {{ userStore.editedUser.name }}
                </v-col>
                <v-col cols="12" md="6">
                  <strong>วัน/เดือน/ปีเกิด : </strong>
                  {{ formatDate(userStore.editedUser.birthDate) }}
                </v-col>
                <v-col cols="12" md="6">
                  <strong>อายุ : </strong>
                  {{ userStore.editedUser.age }}
                </v-col>
                <v-col cols="12" md="6">
                  <strong> เพศ : </strong>
                  {{ userStore.editedUser.gender }}
                </v-col>
                <v-col cols="12" md="6">
                  <strong> หมู่เลือด : </strong>
                  {{ userStore.editedUser.bloodType }}
                </v-col>
                <v-col cols="12" md="6">
                  <strong> ส่วนสูง : </strong>
                  {{ userStore.editedUser.height }}
                  <strong> ซม. </strong>
                </v-col>
                <v-col cols="12" md="6">
                  <strong> น้ําหนัก : </strong>
                  {{ userStore.editedUser.weight }}
                  <strong> กก. </strong>
                </v-col>
              </v-row>
            </v-col>
            <v-col cols="12" md="4">
              <v-row>
                <v-img :src="'http://localhost:3000/images/users/' + userStore.editedUser.image" width="200"
                  height="200">
                </v-img>
              </v-row>
            </v-col>
          </v-row>

          <v-col cols="12">
            <strong> ที่อยู่ : </strong>
            {{ userStore.editedUser.address }}
          </v-col>
        </v-card-text>
      </div>
    </v-card>
    <v-card variant="outlined" style="margin-top: 10px">
      <div>
        <v-card-title> ช่องทางการติดต่อ </v-card-title>
      </div>

      <v-card-text>
        <div class="info">
          <v-row>
            <v-col cols="12" md="6">
              <strong> เบอร์โทรศัพท์ : </strong>
              {{ userStore.editedUser.phone }}
            </v-col>
            <v-col cols="12" md="6">
              <strong> อีเมล : </strong>
              {{ userStore.editedUser.email }}
            </v-col>
          </v-row>
        </div>
      </v-card-text>
    </v-card>
    <v-card variant="outlined" style="margin-top: 10px">
      <div>
        <v-card-title collor="blue"> การงาน </v-card-title>
      </div>
      <v-card-text>
        <div class="info">
          <v-row>
            <v-col cols="12">
              <strong> สาขา : </strong>
              {{ userStore.editedUser.branch?.name }}
            </v-col>
            <v-col cols="12" md="6">
              <strong> ตำแหน่ง : </strong>
              {{ userStore.editedUser.role?.name }}
            </v-col>
            <v-col cols="12" md="6">
              <strong> เงินเดือน : </strong>
              {{ userStore.editedUser.salary }}
            </v-col>
            <v-col cols="12" md="6">
              <strong> วันที่เริ่มงาน : </strong>
              {{ formatDate(userStore.editedUser.startDate) }}
            </v-col>
            <v-col cols="12" md="6">
              <strong> สถานะ : </strong>
              {{ userStore.editedUser.status }}
            </v-col>
          </v-row>
        </div>
      </v-card-text>
      <ShowSaleDialogEPM/>
    </v-card>
    <div>
      <v-dialog v-model="userStore.dialog" persistent width="1024">
        <EditeUserCard></EditeUserCard>
      </v-dialog>
    </div>
    <div>
      <ChangePasswordDialog></ChangePasswordDialog>
    </div>
  </v-sheet>
</template>

<style scoped>
.info {
  padding-left: 30px;
  padding-right: 30px;
  padding-top: 10px;
  padding-bottom: 10px;
}
</style>
